Package org.silverpeas.components.gallery.model

## Class OrderRow

- java.lang.Object
- - org.silverpeas.components.gallery.model.OrderRow

-     public class OrderRow
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OrderRow​(String orderId, String mediaId, String instanceId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Date` | `getDownloadDate()` |
    `String` | `getDownloadDecision()` |
    `String` | `getInstanceId()` |
    `InternalMedia` | `getInternalMedia()` |
    `String` | `getMediaId()` |
    `String` | `getOrderId()` |
    `void` | `setDownloadDate​(Date downloadDate)` |
    `void` | `setDownloadDecision​(String downloadDecision)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setMediaId​(String mediaId)` |
    `void` | `setOrderId​(String orderId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderRow

          public OrderRow​(String orderId,
                          String mediaId,
                          String instanceId)

  - ### Method Detail

    - #### getOrderId

          public String getOrderId()

    - #### setOrderId

          public void setOrderId​(String orderId)

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getMediaId

          public String getMediaId()

    - #### setMediaId

          public void setMediaId​(String mediaId)

    - #### getDownloadDate

          public Date getDownloadDate()

    - #### setDownloadDate

          public void setDownloadDate​(Date downloadDate)

    - #### getDownloadDecision

          public String getDownloadDecision()

    - #### setDownloadDecision

          public void setDownloadDecision​(String downloadDecision)

    - #### getInternalMedia

          public InternalMedia getInternalMedia()